## org.eclipse.jetty.util
Class ConcurrentHashSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              org.eclipse.jetty.util.ConcurrentHashSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>

    public class ConcurrentHashSet<E>

extends AbstractSet<E>
implements Set<E>

Constructor Summary
`ConcurrentHashSet()`

Method Summary
`boolean` `add(E e)`
`void` `clear()`
`boolean` `contains(Object o)`
`boolean` `containsAll(Collection<?> c)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `isEmpty()`
`Iterator<E>` `iterator()`
`boolean` `remove(Object o)`
`boolean` `removeAll(Collection<?> c)`
`boolean` `retainAll(Collection<?> c)`
`int` `size()`
`Object[]` `toArray()`

`

`<T> T[]`

`

`toArray(T[] a)`

`String` `toString()`

Methods inherited from class java.util.AbstractCollection
`addAll`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll`

Constructor Detail

### ConcurrentHashSet

    public ConcurrentHashSet()

Method Detail

### add

    public boolean add(E e)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `Set<E>`
  Overrides:
    `add` in class `AbstractCollection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`
  Specified by:
    `clear` in interface `Set<E>`
  Overrides:
    `clear` in class `AbstractCollection<E>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<E>`
  Specified by:
    `contains` in interface `Set<E>`
  Overrides:
    `contains` in class `AbstractCollection<E>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<E>`
  Specified by:
    `containsAll` in interface `Set<E>`
  Overrides:
    `containsAll` in class `AbstractCollection<E>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection<E>`
  Specified by:
    `equals` in interface `Set<E>`
  Overrides:
    `equals` in class `AbstractSet<E>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<E>`
  Specified by:
    `hashCode` in interface `Set<E>`
  Overrides:
    `hashCode` in class `AbstractSet<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<E>`
  Specified by:
    `isEmpty` in interface `Set<E>`
  Overrides:
    `isEmpty` in class `AbstractCollection<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`
  Specified by:
    `iterator` in interface `Set<E>`
  Specified by:
    `iterator` in class `AbstractCollection<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `Set<E>`
  Overrides:
    `remove` in class `AbstractCollection<E>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<E>`
  Specified by:
    `removeAll` in interface `Set<E>`
  Overrides:
    `removeAll` in class `AbstractSet<E>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<E>`
  Specified by:
    `retainAll` in interface `Set<E>`
  Overrides:
    `retainAll` in class `AbstractCollection<E>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<E>`
  Specified by:
    `size` in interface `Set<E>`
  Specified by:
    `size` in class `AbstractCollection<E>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `Set<E>`
  Overrides:
    `toArray` in class `AbstractCollection<E>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `Set<E>`
  Overrides:
    `toArray` in class `AbstractCollection<E>`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<E>`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.